DSS Online Services - Supported browsers

Your computer needs to meet certain requirements to access DSS Online Services.

Minimum browser requirements

Using the latest internet browser on your computer helps improve your security. In order to access all DSS Online Services, you will need to use one of the following browsers:

  • Internet Explorer 9 or later
  • Mozilla Firefox 25 or later
  • Google Chrome 31 or later
  • Apple Safari 7 or later

These browsers have been tested and confirmed to work with our Online Services. Older browsers such as Internet Explorer 8 and below have not been tested and may not work correctly.

If you are not using a supported browser, please upgrade to the latest version before attempting to access DSS Online Services. Instructions on how to update your browser can be found on the following websites:

Browser settings

Your browser must allow Secure Sockets Layer (SSL) connections and have Cookies and JavaScript enabled. Most browsers will already have these features turned on and you should not need to change these settings.

Clearing your browser's cache

If you are having difficulties accessing DSS Online Services using a supported browser, please ensure you have cleared your cache. Information about how to clear your cache can be found on the following websites:

Help

Information about your browser, including how to change settings, can be found on the following websites:

Stay Smart Online

Stay Smart Online is the Australian Government's online safety and security website, designed to help everyone understand the risks and the simple steps we can take to protect our personal and financial information online.

More information is available on the Stay Smart Online website.
 

Last updated: